<!DOCTYPE html>
<!-- 
    Bootstrap an angular app, with a specific name
-->
<html ng-app="myApp">  
<head>
    <script src="bower_components/angular/angular.js"></script>
    <script src="app.js"></script>
</head>
<!-- Bind view to controller-->
<body ng-controller="NameCtrl">
    <p>
        <!-- Directive -->
        <div my-directive></div>
    </p>
    <hr/>
      <!-- 
          syntax for binding a scope property to a view,
          through filters that format the view value
      -->
    <h1>Hello! {{ name | uppercase | reverse}}</h1>

    <p>
        Name?
        <!-- ng-model directive, bind element value to scope property -->
        <input type="text" ng-model="name">

         <!-- ng-click directive, bind elements onClick event to scope function -->
        <button ng-click="save()">Save</button>
    </p>

    <hr/>
    <ul>
        <!-- ng-repeat directive, iteration templates -->
        <li ng-repeat="person in people">
            {{person.Name}}, {{person.Age}}
        </li>    
    </ul>
</body>
</html>